| Home | Libraries | People | FAQ | More

## BoostBook element `template-varargs`

template-varargs — Declares a variable-length list of template parameters

## Synopsis

template-varargs ::= EMPTY

## Description

Variable-length template parameter lists are not allowed in C++, but because they are sometimes needed in documentation they are allowed in BoostBook. This element generally expands to "..." and can be used anywhere any other template parameter can be used.

## Attributes

Name | Type | Value | Purpose
--- | --- | --- | ---
last-revision | #IMPLIED | CDATA | Set to $Date: 2008-06-15 15:48:40 -0400 (Sun, 15 Jun 2008) $ to keep "last revised" information in sync with CVS changes
id | #IMPLIED | CDATA | A global identifier for this element
xml:base | #IMPLIED | CDATA | Implementation detail used by XIncludes